Check Language Existence

Ensures that the specified language exists.

Request will fail and return the 404 result model if the publication configuration does not exist, or if the publication or language is hidden and the user does not have permission to access hidden publications.

Request

URI: /v2/content/{pub}/{lang}/ifexist

HTTP Method: GET

Header params:
  • Accept: [application/json] OR [application/xml]
PATH Parameter(s):
  • pub: publication ID
  • lang: publication language

Response

Success
  • XML: <result message="Publication Exists" messageKey="Publication Exists" status="SUCCESS" statusCode="0"> <info xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="apiInfoModel" name="timestamp" value="2013-04-02T17:55:29.239-04:00"></info> </result>
  • JSON: {"statusCode":0,"messageKey":"Publication Exists", "message":"Publication Exists", "status":"SUCCESS", "info":[{"name":"timestamp", "value":"2013-04-02T17:55:29.239-04:00"}]}
Failed
  • XML: <result message="The requested publication or language version does not exist." messageKey="pubs.nonexist" status="FAIL" statusCode="404"/>
  • JSON: {"statusCode":404,"messageKey":"pubs.nonexist", "message":"The requested publication or language version does not exist.", "status":"FAIL", "info":[]}

Permissions

"Use application"

Example

Request:

GET http://example.corp:8080/LiveContent/v2/content/LiveContentDoc/en/ifexist

Accept: application/xml

Response:

<result message="Publication Exists" messageKey="Publication Exists" status="SUCCESS" statusCode="0"> <info xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="apiInfoModel" name="timestamp" value="2013-04-02T17:55:29.239-04:00"></info> </result>